//Ex5_19.cpp
#include "iostream" 
using namespace std;
int add(int x,int y,int z=1) 
{return x+y+z;} 
int add(int x,int y) 
{return x+y;} 
void main() 
{cout<<add(3,1,2)<<endl;
 cout<<add(3,1)<<endl;}
